@echo off
set BWSCRDRV=%~d0
cls
echo.
echo.
echo.
echo.
echo.
:BWENTDRV
echo Enter the DRIVE LETTER where Windows is installed
echo (C, D, etc.) and then press Enter/Return on your keyboard.
echo Please make sure to enter ONLY THE DRIVE LETTER! If you
REM ====================
set /p BWDRVLTR="are not sure, just say "C": "
REM ====================
echo.
IF NOT EXIST %BWDRVLTR%:. (
echo Drive %BWDRVLTR%: can't be accessed!
echo.
echo Did you build this computer yourself or know you are running
echo SATA hard drives? If so, then you may need to load Vista
echo drivers for your motherboard's SATA controller. You can do
echo this by loading the .inf files before you get to the Command
echo Prompt by clicking on the "Load Drivers..." button that you
echo skipped originally on that tiny window.
echo.
echo However, if you don't understand what I just said, please try
echo another drive letter.
echo.
echo If you are sure that %BWDRVLTR% is the correct drive letter,
echo reboot the Vista Recovery Disc and try again.
echo.
CALL :BWENTDRV
)
@CD /D %BWSCRDRV%\RS
REM Clear...
echo If you get an error message below, don't worry!
echo It's a failsafe.
@rmdir /s /q %BWDRVLTR%:\BWHT202
@RunScanner.exe /t 0 /ac /sd /m+ /y regedit.exe /s %BWSCRDRV%\RG\rmhjt.reg
REM Copy...
@MKDIR %BWDRVLTR%:\BWHT202
@ROBOCOPY /E /ZB /MIR /COPY:DAT /DCOPY:T /NP /NS /NC /NFL /NDL /NJH /NJS %BWSCRDRV%\HT %BWDRVLTR%:\BWHT202 *.*
REM Run...
@RunScanner.exe /t 0 /ac /sd /m+ /y %BWDRVLTR%:\BWHT202\HiJackThis.exe
REM Clear...
@rmdir /s /q %BWDRVLTR%:\BWHT202
@RunScanner.exe /t 0 /ac /sd /m+ /y regedit.exe /s %BWSCRDRV%\RG\rmhjt.reg
cls
echo.
echo.
echo.
echo.
echo.
echo Go email that log file to Dan.
echo.